Skip to content

Ingest a new bill​

POST
/api/v1/bills

Sync a bill to Synthix Flow from your ERP for collections or payment.

Authorizations​

bearerAuth
Type
HTTP (bearer)

Parameters​

Header Parameters

x-region*

Mandatory routing header to direct the request to the appropriate regional products

Type
string
Required
Valid values
"EU""IN""US""UK"

Request Body​

application/json
object
object
Required

Unique identifier of the bill generated by the issuer.

Min Length1
Max Length100
Pattern"^[-_a-zA-Z0-9]+$"

Unique identifier of the bill generated by the tenant. Alphanumeric, hyphens, and underscores only.

Min Length3
Max Length90
Pattern"^[-_a-zA-Z0-9]+$"

Type of bill. INV for Invoice, CRM for Credit Memo.

Valid values"INV""CRM"

Cashflow classification — AR (Account Receivable) or AP (Account Payable).

Valid values"AR""AP"

The unique cross-system identifier for the counterparty (e.g., ERP vendor ID). Facilitates seamless mapping between the Synthix ledger and your internal CRM/ERP.

Min Length3
Max Length90
Pattern"^[-_a-zA-Z0-9]+$"

Status of the bill on ingestion. Only OPEN bills can be submitted.

Valid values"OPEN"

ISO 4217 currency code for the bill amounts. Supported values: INR, USD, EUR, GBP.

Valid values"INR""USD""EUR""GBP"
Min Length3
Max Length3

Bill base amount.

Minimum0
Exclusive Minimumtrue
Maximum99999999999.99

Total discounts applied.

Minimum0
Maximum99999999999.99

Total freight charges.

Minimum0
Maximum99999999999.99

Total tax levied across all tax heads.

Minimum0
Maximum99999999999.99

Net bill amount after discounts, freight, and taxes.

Minimum0
Exclusive Minimumtrue
Maximum99999999999.99

Outstanding amount remaining on the bill.

Minimum0
Maximum99999999999.99

Date the bill was issued. ISO 8601 format (YYYY-MM-DD). Example: 2024-04-01.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

Date by which payment is due. ISO 8601 format (YYYY-MM-DD). Example: 2024-05-31.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

Free-text remarks for the bill.

Min Length0
Max Length250

Purchase order number against which goods/services were delivered.

Min Length0
Max Length100
object[]
Min Items1

Unique identifier of the credit note generated by the issuer.

Min Length1
Max Length100
Pattern"^[-_a-zA-Z0-9]+$"

Unique identifier of the credit note generated by the tenant.

Min Length1
Max Length100
Pattern"^[-_a-zA-Z0-9]+$"

Status of the credit note. OPEN — active; CLOF — closed offline; VOID — voided.

Valid values"OPEN""CLOF""VOID"

ISO 4217 currency code. Supported values: INR, USD, EUR, GBP.

Min Length3
Max Length3
Pattern"^(?:INR|USD|EUR|GBP)$"

Remaining open amount on the credit note.

Minimum0
Maximum99999999999.99

Date the credit note was issued. ISO 8601 format (YYYY-MM-DD). Example: 2024-04-01.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

Date by which the credit note is due. ISO 8601 format (YYYY-MM-DD). Example: 2024-05-31.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

Responses​

Bill successfully ingested.

application/json
object
object
Required

Unique identifier of the bill generated by the issuer.

Min Length1
Max Length100
Pattern"^[-_a-zA-Z0-9]+$"

Unique identifier of the bill generated by the tenant. Alphanumeric, hyphens, and underscores only.

Min Length3
Max Length90
Pattern"^[-_a-zA-Z0-9]+$"

Type of bill. INV for Invoice, CRM for Credit Memo.

Valid values"INV""CRM"

Cashflow classification — AR (Account Receivable) or AP (Account Payable).

Valid values"AR""AP"

The unique cross-system identifier for the counterparty (e.g., ERP vendor ID). Facilitates seamless mapping between the Synthix ledger and your internal CRM/ERP.

Min Length3
Max Length90
Pattern"^[-_a-zA-Z0-9]+$"

Status of the bill on ingestion. Only OPEN bills can be submitted.

Valid values"OPEN"

ISO 4217 currency code for the bill amounts. Supported values: INR, USD, EUR, GBP.

Valid values"INR""USD""EUR""GBP"
Min Length3
Max Length3

Bill base amount.

Minimum0
Exclusive Minimumtrue
Maximum99999999999.99

Total discounts applied.

Minimum0
Maximum99999999999.99

Total freight charges.

Minimum0
Maximum99999999999.99

Total tax levied across all tax heads.

Minimum0
Maximum99999999999.99

Net bill amount after discounts, freight, and taxes.

Minimum0
Exclusive Minimumtrue
Maximum99999999999.99

Outstanding amount remaining on the bill.

Minimum0
Maximum99999999999.99

Date the bill was issued. ISO 8601 format (YYYY-MM-DD). Example: 2024-04-01.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

Date by which payment is due. ISO 8601 format (YYYY-MM-DD). Example: 2024-05-31.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

Free-text remarks for the bill.

Min Length0
Max Length250

Purchase order number against which goods/services were delivered.

Min Length0
Max Length100

The date and time the bill was created in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"
object[]
Min Items1

Unique identifier of the credit note generated by the issuer.

Min Length1
Max Length100
Pattern"^[-_a-zA-Z0-9]+$"

Unique identifier of the credit note generated by the tenant.

Min Length1
Max Length100
Pattern"^[-_a-zA-Z0-9]+$"

Status of the credit note. OPEN — active; CLOF — closed offline; VOID — voided.

Valid values"OPEN""CLOF""VOID"

ISO 4217 currency code. Supported values: INR, USD, EUR, GBP.

Valid values"INR""USD""EUR""GBP"
Min Length3
Max Length3

Remaining open amount on the credit note.

Minimum0
Maximum99999999999.99

Date the credit note was issued. ISO 8601 format (YYYY-MM-DD). Example: 2024-04-01.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

Date by which the credit note is due. ISO 8601 format (YYYY-MM-DD). Example: 2024-05-31.

Format"date"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])$"

The date and time the credit note was created in ISO 8601 format. Example: 2024-03-24T03:14:15Z.

Format"date-time"
Pattern"^\\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\\d|3[01])T([01]\\d|2[0-3]):[0-5]\\d:[0-5]\\dZ$"

Response Headers

Deprecation

Indicates deprecation (boolean)

Typestring
Exampletrue
Sunset

Sunset date in HTTP-date format [ISO 8601]. Example: `2024-03-24T03:14:15Z`.

Typestring (date-time)
Example2024-03-24T03:14:15Z

Samples​